> For the complete documentation index, see [llms.txt](https://boinc-ai.gitbook.io/datasets/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boinc-ai.gitbook.io/datasets/reference/logging-methods.md).

# Logging methods

## Logging methods

🌍 Datasets strives to be transparent and explicit about how it works, but this can be quite verbose at times. We have included a series of logging methods which allow you to easily adjust the level of verbosity of the entire library. Currently the default verbosity of the library is set to `WARNING`.

To change the level of verbosity, use one of the direct setters. For instance, here is how to change the verbosity to the `INFO` level:

Copied

```
import datasets
datasets.logging.set_verbosity_info()
```

You can also use the environment variable `DATASETS_VERBOSITY` to override the default verbosity, and set it to one of the following: `debug`, `info`, `warning`, `error`, `critical`:

Copied

```
DATASETS_VERBOSITY=error ./myprogram.py
```

All the methods of this logging module are documented below. The main ones are:

* [logging.get\_verbosity()](https://huggingface.co/docs/datasets/v2.14.5/en/package_reference/logging_methods#datasets.utils.logging.get_verbosity) to get the current level of verbosity in the logger
* [logging.set\_verbosity()](https://huggingface.co/docs/datasets/v2.14.5/en/package_reference/logging_methods#datasets.utils.logging.set_verbosity) to set the verbosity to the level of your choice

In order from the least to the most verbose (with their corresponding `int` values):

1. `logging.CRITICAL` or `logging.FATAL` (int value, 50): only report the most critical errors.
2. `logging.ERROR` (int value, 40): only report errors.
3. `logging.WARNING` or `logging.WARN` (int value, 30): only reports error and warnings. This the default level used by the library.
4. `logging.INFO` (int value, 20): reports error, warnings and basic information.
5. `logging.DEBUG` (int value, 10): report all information.

By default, `tqdm` progress bars will be displayed during dataset download and preprocessing. [logging.disable\_progress\_bar()](https://huggingface.co/docs/datasets/v2.14.5/en/package_reference/logging_methods#datasets.disable_progress_bar) and [logging.enable\_progress\_bar()](https://huggingface.co/docs/datasets/v2.14.5/en/package_reference/logging_methods#datasets.enable_progress_bar) can be used to suppress or unsuppress this behavior.

### Functions

**datasets.utils.logging.get\_verbosity**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L90)

( )

Return the current level for the BOINC AI datasets library’s root logger.

BOINC AI datasets library has following logging levels:

* `datasets.logging.CRITICAL`, `datasets.logging.FATAL`
* `datasets.logging.ERROR`
* `datasets.logging.WARNING`, `datasets.logging.WARN`
* `datasets.logging.INFO`
* `datasets.logging.DEBUG`

**datasets.utils.logging.set\_verbosity**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L109)

( verbosity: int )

Set the level for the BOINC AI Datasets library’s root logger.

**datasets.utils.logging.set\_verbosity\_info**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L118)

( )

Set the level for the BOINC AI datasets library’s root logger to `INFO`.

This will display most of the logging information and tqdm bars.

Shortcut to `datasets.logging.set_verbosity(datasets.logging.INFO)`.

**datasets.utils.logging.set\_verbosity\_warning**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L128)

( )

Set the level for the BOINC AI datasets library’s root logger to `WARNING`.

This will display only the warning and errors logging information and tqdm bars.

Shortcut to `datasets.logging.set_verbosity(datasets.logging.WARNING)`.

**datasets.utils.logging.set\_verbosity\_debug**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L138)

( )

Set the level for the BOINC AI datasets library’s root logger to `DEBUG`.

This will display all the logging information and tqdm bars.

Shortcut to `datasets.logging.set_verbosity(datasets.logging.DEBUG)`.

**datasets.utils.logging.set\_verbosity\_error**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L148)

( )

Set the level for the BOINC AI datasets library’s root logger to `ERROR`.

This will display only the errors logging information and tqdm bars.

Shortcut to `datasets.logging.set_verbosity(datasets.logging.ERROR)`.

**datasets.utils.logging.disable\_propagation**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L158)

( )

Disable propagation of the library log outputs. Note that log propagation is disabled by default.

**datasets.utils.logging.enable\_propagation**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L165)

( )

Enable propagation of the library log outputs. Please disable the BOINC AI datasets library’s default handler to prevent double logging if the root logger has been configured.

**datasets.utils.logging.get\_logger**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L81)

( name: typing.Optional\[str] = None )

Return a logger with the specified name. This function can be used in dataset scripts.

**datasets.enable\_progress\_bar**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L238)

( )

Enable tqdm progress bar.

**datasets.disable\_progress\_bar**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L244)

( )

Disable tqdm progress bar.

**datasets.is\_progress\_bar\_enabled**

[\<source>](https://github.com/huggingface/datasets/blob/2.14.5/src/datasets/utils/logging.py#L232)

( )

Return a boolean indicating whether tqdm progress bars are enabled.

### Levels

#### datasets.logging.CRITICAL

datasets.logging.CRITICAL = 50

#### datasets.logging.DEBUG

datasets.logging.DEBUG = 10

#### datasets.logging.ERROR

datasets.logging.ERROR = 40

#### datasets.logging.FATAL

datasets.logging.FATAL = 50

#### datasets.logging.INFO

datasets.logging.INFO = 20

#### datasets.logging.NOTSET

datasets.logging.NOTSET = 0

#### datasets.logging.WARN

datasets.logging.WARN = 30

#### datasets.logging.WARNING

datasets.logging.WARNING = 30


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boinc-ai.gitbook.io/datasets/reference/logging-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
